package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[服务运行状态]
 */
@Component("ionicdemo_ServiceRunStateCodeList")
public class ServiceRunStateCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_ServiceRunState");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("START");
		item0.setId("START");
		item0.setText("已启动");
		item0.setLabel("已启动");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("START",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("STOP");
		item1.setId("STOP");
		item1.setText("已停止");
		item1.setLabel("已停止");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("STOP",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("STARTERROR");
		item2.setId("STARTERROR");
		item2.setText("启动错误");
		item2.setLabel("启动错误");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("STARTERROR",item2);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}